### Verify

Category

Debugging

Function

Checks an object for internal consistency.

Syntax

    output = Verify(input, how);

Inputs

Name | Type | Default | Description
--- | --- | --- | ---
`input` | object | none | object to be checked
`how` | string | no default | level of verification

Outputs

Name | Type | Description
--- | --- | ---
`output` | object | same object

Functional Details

The Verify module checks an object `input` for internal consistency.

- For Fields and Groups, it checks that each component is an array.

- If there are connections, it checks that there are also positions.

- It checks that the positions, if any, are type float, category real, and rank 1.

- It checks that the connections, if any, are type integer, category real, rank 1, and that they possess an "element type" attribute.

- For the various element types, it checks that the shape of the connections array is consistent.

- It checks that the ordering of points in triangles or tetrahedra is consistent.

- For each component in each field, it checks that components that depend on another component have the same number of items as the other component, and that components that reference another component only reference items that exist in the other component.

The `how` parameter is currently not used.

Example Visual Program

    SIMPLE/Verify.net

[ OpenDX Home at IBM | OpenDX.org ]